summaryrefslogtreecommitdiffstats
path: root/zynaddsubfx
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-10-10 19:10:53 +0000
committer Eric Hameleers <alien@slackware.com>2020-10-10 19:10:53 +0000
commit93ea393207599b7c3d0f301de731e4d8975943fc (patch)
treef3613ccceb2ec077f6f8b9fc11a5944745f07bc6 /zynaddsubfx
parent77264fbca41a57008442ed312ba3fb3109621742 (diff)
downloadasb-93ea393207599b7c3d0f301de731e4d8975943fc.tar.gz
asb-93ea393207599b7c3d0f301de731e4d8975943fc.tar.xz
zynaddsubfx: updated to 3.0.5
Diffstat (limited to 'zynaddsubfx')
-rwxr-xr-xzynaddsubfx/build/zynaddsubfx.SlackBuild22
1 files changed, 16 insertions, 6 deletions
diff --git a/zynaddsubfx/build/zynaddsubfx.SlackBuild b/zynaddsubfx/build/zynaddsubfx.SlackBuild
index 5130778a..56362776 100755
--- a/zynaddsubfx/build/zynaddsubfx.SlackBuild
+++ b/zynaddsubfx/build/zynaddsubfx.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2019 Eric Hameleers, Eindhoven, NL
+# Copyright 2019, 2020 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -29,13 +29,15 @@
# Descr: software synthesizer and lv2 plugin
# URL: http://zynaddsubfx.sourceforge.net/
# Build needs:
-# Needs: jack2, lash, liblo, mxml, ntk, portaudio
+# Needs: jack2, liblo, mxml, ntk, portaudio
# Changelog:
# 3.0.3-1: 24/Feb/2019 by Eric Hameleers <alien@slackware.com>
# * Initial build.
# 3.0.3-2: 14/mar/2019 by Eric Hameleers <alien@slackware.com>
# * Use ntk instead of fltk, this is needed to give the plugin
# version a proper GUI.
+# 3.0.5-1: 10/oct/2020 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh zynaddsubfx.SlackBuild' to build a Slackware package.
# The package (.t?z) and .txt file as well as build logs are created in /tmp .
@@ -44,8 +46,8 @@
# -----------------------------------------------------------------------------
PRGNAM=zynaddsubfx
-VERSION=${VERSION:-3.0.3}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-3.0.5}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
TAG=${TAG:-alien}
@@ -195,6 +197,14 @@ install -Dm 0644 ${PRGNAM}.svg \
install -Dm 0644 doc/${PRGNAM}.1 \
${PKG}/usr//man/man1/${PRGNAM}.1
+# Add 'X-DAW' category to the desktop file (for liveslak):
+for DESKTOPF in $PKG/usr/share/applications/*.desktop ; do
+ if ! grep -q X-DAW $DESKTOPF ; then
+ sed -i $DESKTOPF \
+ -e "s/^Categories=\(.*\)/Categories=X-DAW;\1/"
+ fi
+done
+
# Add this to the doinst.sh:
mkdir -p $PKG/install
cat <<EOINS >> $PKG/install/doinst.sh
@@ -245,9 +255,9 @@ cat $SRCDIR/slack-required > $PKG/install/slack-required
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz} 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
cd $OUTPUT
-md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz}.md5
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz}.md5
cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.dep